X2Go Bug report logs - #797
xinamera extension is broken after update

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Robert Reich <robert_reich@yahoo.de>

Date: Tue, 24 Feb 2015 16:50:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.3.2-0~800~ubuntu14.04.1

Fixed in version 4.0.4.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#797: X2Go issue (in src:x2goclient) has been marked as pending for release
Reply-To: Mihai Moldovan <ionic@ionic.de>, 797@bugs.x2go.org
Resent-From: Mihai Moldovan <ionic@ionic.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Wed, 25 Mar 2015 18:45:02 +0000
Resent-Message-ID: <handler.797.B797.142730897316216@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 797
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: pending
Received: via spool by 797-submit@bugs.x2go.org id=B797.142730897316216
          (code B ref 797); Wed, 25 Mar 2015 18:45:02 +0000
Received: (at 797) by bugs.x2go.org; 25 Mar 2015 18:42:53 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 3E5F95DAB0; Wed, 25 Mar 2015 19:42:44 +0100 (CET)
From: Mihai Moldovan <ionic@ionic.de>
To: 797-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 797@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150325184245.3E5F95DAB0@ymir.das-netzwerkteam.de>
Date: Wed, 25 Mar 2015 19:42:44 +0100 (CET)
tag #797 pending
fixed #797 4.0.4.0
thanks

Hello,

X2Go issue #797 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=5e1351d

The issue will most likely be fixed in src:x2goclient (4.0.4.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 5e1351dade7803521c9d65fd018efa2eb90f9621
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Mar 25 19:41:18 2015 +0100

    onmainwindow:cpp: correctly pass escaped single quote when writing remote xinerama config file. Post-fixup for #797.

diff --git a/debian/changelog b/debian/changelog
index ff72971..5481173 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -241,6 +241,8 @@ x2goclient (4.0.4.0-0x2go1) UNRELEASED; urgency=low
       add MacPorts location.
     - onmainwindow.cpp: do not define Ctrl+Q two times. Made it unusable on
       Linux and Windows.
+    - onmainwindow:cpp: correctly pass escaped single quote when writing
+      remote xinerama config file. Post-fixup for #797.
 
   [ Fernando Pedemonte ]
   * New upstream release (4.0.4.0):

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Jun 17 03:43:51 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.